#! /bin/bash

## initialization
#
clear

set -e

sudo -v

WORKDIR=$PWD
CONTEXT=$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )

set +e
#

function printstr() {
	if [[ $2 == true ]] ; then
		echo -n $1
	else
		echo $1
	fi
}

silent=false
for ((i = 1; i <= $#; i++ )); do
	arg=${!i}
	case $i in
		*)
			if [[ "$arg" == "SILENT" ]] ; then
				silent=true
			fi
			;;
	esac
done

w=true
if ! $silent ; then
	read -p "Press any key to start uninstall or ^C to abort" -n 1
fi

#~/UNINSTALLATION v.1
#! /bin/bash
if $silent ; then sudo apt -q -y remove pritoka-arm 2>/dev/null; fi #deb
if ! $silent ; then sudo apt -y remove pritoka-arm; fi #deb